Name:          sbcl
Version:       2.2.2
Release:       1mamba
Summary:       Steel Bank Common Lisp (SBCL) is a high performance Common Lisp compiler
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.sbcl.org/
Source:        https://downloads.sourceforge.net/project/sbcl/sbcl/%{version}/sbcl-%{version}-source.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: clisp

%description
Steel Bank Common Lisp (SBCL) is a high performance Common Lisp compiler. It is open source / free software, with a permissive license. In addition to the compiler and runtime system for ANSI Common Lisp, it provides an interactive environment including a debugger, a statistical profiler, a code coverage tool, and many other extensions.

%debug_package

%prep
%setup -q

%build
export CFLAGS+=" -D_GNU_SOURCE -fno-omit-frame-pointer -DSBCL_HOME=/usr/lib/sbcl"
export GNUMAKE="make"

# build system uses LINKFLAGS and OS_LIBS to build LDFLAGS
export LINKFLAGS="$LDFLAGS"
unset LDFLAGS
unset MAKEFLAGS
sh make.sh sbcl --prefix=/usr --fancy --xc-host='clisp'
make -C doc/manual info

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
# cannot have both SBCL_HOME and INSTALL_ROOT
SBCL_HOME="" INSTALL_ROOT=%{buildroot}%{_prefix} sh install.sh

# sources
mkdir -p %{buildroot}%{_datadir}/sbcl-source
cp -R -t %{buildroot}%{_datadir}/sbcl-source {src,contrib}

# drop unwanted files
find %{buildroot} \( -name Makefile -o -name .cvsignore \) -delete
find %{buildroot}%{_datadir}/sbcl-source -type f \
   \( -name \*.fasl -o -name \*.o -o -name \*.log -o -name \*.so -o -name a.out \) -delete

rm %{buildroot}%{_datadir}/sbcl-source/src/runtime/sbcl

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/sbcl
%dir %{_prefix}/lib/sbcl
%dir %{_prefix}/lib/sbcl/contrib
%{_prefix}/lib/sbcl/contrib/*
%{_prefix}/lib/sbcl/sbcl.core
%{_prefix}/lib/sbcl/sbcl.mk
%dir %{_datadir}/sbcl-source
%dir %{_datadir}/sbcl-source/contrib
%{_datadir}/sbcl-source/contrib/*
%dir %{_datadir}/sbcl-source/src
%{_datadir}/sbcl-source/src/*
%dir %{_datadir}/doc/sbcl
%{_datadir}/doc/sbcl/*
%{_infodir}/asdf.info*
%{_infodir}/sbcl.info*
%{_mandir}/man1/sbcl.1*
%doc COPYING CREDITS

%changelog
* Sun Feb 27 2022 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Mon Jan 31 2022 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Fri Dec 31 2021 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 2.1.11-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 2.1.10-1mamba
- automatic version update by autodist

* Tue Sep 28 2021 Automatic Build System <autodist@mambasoft.it> 2.1.9-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 2.1.8-1mamba
- automatic version update by autodist

* Sat Jul 31 2021 Automatic Build System <autodist@mambasoft.it> 2.1.7-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.6-1mamba
- update to 2.1.6

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-1mamba
- package created using the webbuild interface
